
#include <bits/stdc++.h>

using namespace std;

#ifdef ONPC
	mt19937 rnd(228);
#else
	mt19937 rnd(time(0));
#endif

typedef long long ll;

int main()
{
#ifdef ONPC
	freopen("a.in", "r", stdin);
#endif
	int n, T;
	cin >> n >> T;
	vector <pair <int, int> > e;
	ll sum = 0;
	ll cost = 0;
	for (int i = 0; i < n; i++)
	{
		int t, p;
		cin >> t >> p;
		sum += t;
		cost += p;
		e.push_back({t, p});
	}
	if (sum <= T)
	{
		cout << cost << '\n';
		return 0;
	}
	sort(e.rbegin(), e.rend());
	vector <ll> dp(T + 1, 1e18);
	dp[0] = 0;
	ll ans = 1e18;
	vector <int> tt(e.size());
	vector <int> cc(e.size());
	sum = 0;
	cost = 0;
	for (int i = (int) e.size() - 1; i >= 0; i--)
	{
		tt[i] = sum;
		cc[i] = cost;
		cost += e[i].second;
		sum += e[i].first;
	}
	for (int i = 0; i < (int) e.size(); i++)
	{
		for (int j = 0; j <= T; j++)
		{
			if (j + e[i].first + tt[i] > T && j + tt[i] <= T)
			{
				ans = min(ans, dp[j] + cc[i]);
			}
		}
		for (int j = T - e[i].first; j >= 0; j--)
		{
			dp[j + e[i].first] = min(dp[j + e[i].first], dp[j] + e[i].second);
		}
	}
	cout << ans << '\n';
}
