import java.util.Scanner;

public class Main {

    public static void main(String[] args) {
        Scanner s = new Scanner(System.in);

        long n = s.nextLong();
        long m = s.nextLong();
        long h = s.nextLong();
        long w = s.nextLong();

        long count = 0;
        while (true) {
            if (rotate(n, m, h, w)) break;

            ++count;

            if (Math.max(n, m) == n) n = n / 2;
            else m = m / 2;
        }
        System.out.println(count);
    }

    private static boolean rotate(long n, long m, long h, long w) {
        if (h >= n && w >= m) return true;
        if (h >= m && w >= n) return true;
        return false;
    }
}
