#include <bits/stdc++.h>

using namespace std;


vector < vector < int > > g;
vector < vector < int > > gt;
vector < int > used;
vector < int > was;
int n, m, k;
vector < pair < int, int > > order;

bool dfs(int v, int t, int type) {
    used[v] = t;
    was[v] = type;
    if(v < n) {
        for (auto x : g[v]) {
            if(x == type) continue;
            if(used[x] == t) {
                if(was[x] == -1) return false;
                continue;
            }
            if(!dfs(x, t, 1)) return false;
        }
        for (auto x : gt[v]) {
            if(x == type) continue;
            if(used[x] == t) {
                if(was[x] == 1) return false;
                continue;
            }
            if(!dfs(x, t, -1)) return false;
        }
        return true;
    }
    order.push_back({v, type});
    if(type == 1) {
       for (auto x : g[v]) {
            if(used[x] == t) return false;
            if(!dfs(x, t, v)) return false;
        }
        return true;
    }
    else {
        for (auto x : gt[v]) {
            if(used[x] == t) return false;
            if(!dfs(x, t, v)) return false;
        }
        return true;
    }
}

int main() {
    ios_base::sync_with_stdio(false);
    cin >> n >> m >> k;
    g = vector < vector < int > > (n + m);
    gt = vector < vector < int > > (n + m);
    for (int i = 0; i < k; i++) {

        int a, b;
        cin >> a >> b;
        a--;
        if(b < 0) {
            b = abs(b);
            b--;
            g[n + abs(b)].push_back(a);
            gt[a].push_back(n + abs(b));
        }
        else {
            b--;
            gt[n + abs(b)].push_back(a);
            g[a].push_back(n + abs(b));
        }
    }
    used = vector < int > (n + m, 0);
    was = vector < int > (n + m, 0);

    vector < int > have(m, 0);

    int t = 0;
    for (int i = 0; i < m; i++) {
        if(have[i] != 0) continue;
        t++;
        order.clear();
        bool flag = dfs(n + i, t, 1);
        if(flag) {
            for (auto x: order) have[x.first - n] = x.second;
        }
        else {
            order.clear();
            t++;
            flag = dfs(n + i, t, -1);
            if(flag) {
                for (auto x: order) have[x.first - n] = x.second;
            }
            else {
                cout << -1;
                return 0;
            }
        }
    }
    vector < int > ans;
    for (int i = 0; i < m; i++) {
        if(have[i] == 1) ans.push_back(i + 1);
    }
    cout << ans.size() << endl;
    for (auto x : ans) cout << x << " ";

}
