/**************************************************************
* Copyright (C) 2018 Computer Graphics Support Group
*   of Phys-Math Lyceum No. 30
**************************************************************/
/*************************************************************
 * NAME		   : Source.cpp
 * PURPOSE     : Pomoyka
 * PROGRAMMER  : SS5, OM5, DT6
 * LAST UPDATE : 28.10.2018
 * No part of this file can be changed without agreement of Com
 *************************************************************/


#include <iostream>
#include <string>
using namespace std;



#define ll __int128 

/* Main function/
 * ARGUMENTS: None.
 * RETURNS:
 *   (int) Program exit code (0 if success).
 */
int main()
{
	unsigned long long n, m, h, w;

	cin >> n;
	cin >> m;
	cin >> h;
	cin >> w;

	unsigned long long c1 = 0, c2 = 0;

	unsigned long long n1 = n, m1 = m, h1 = h, w1 = w;

	bool is_1div2 = 0;
	while (n1 > h1)
	{
		c1++;
		if (is_1div2 && (n1 & 1))
		{
			is_1div2 = 0;
			n1 /= 2;
		}
		else if (is_1div2 && !(n1 & 1))
		{
			is_1div2 = 0;
			n1 /= 2;
		}
		else
		{
			is_1div2 = n1 & 1;
			n1 = n1 / 2 + 1;
		}
	}
	n1 = m1;
	is_1div2 = 0;
	while (n1 > w1)
	{
		c1++;
		if (is_1div2 && (n1 & 1))
		{
			is_1div2 = 0;
			n1 /= 2;
		}
		else if (is_1div2 && !(n1 & 1))
		{
			is_1div2 = 0;
			n1 /= 2;
		}
		else
		{
			is_1div2 = n1 & 1;
			n1 = n1 / 2 + 1;
		}
	}

	is_1div2 = 0;
	n1 = n;
	m1 = m;
	while (n1 > w1)
	{
		c2++;
		if (is_1div2 && (n1 & 1))
		{
			is_1div2 = 0;
			n1 /= 2;
		}
		else if (is_1div2 && !(n1 & 1))
		{
			is_1div2 = 0;
			n1 /= 2;
		}
		else
		{
			is_1div2 = n1 & 1;
			n1 = n1 / 2 + 1;
		}
	}
	n1 = m1;
	is_1div2 = 0;
	while (n1 > h1)
	{
		c2++;
		if (is_1div2 && (n1 & 1))
		{
			is_1div2 = 0;
			n1 /= 2;
		}
		else if (is_1div2 && !(n1 & 1))
		{
			is_1div2 = 0;
			n1 /= 2;
		}
		else
		{
			is_1div2 = n1 & 1;
			n1 = n1 / 2 + 1;
		}
	}

	if (c2 < c1)
		cout << c2;
	else
		cout << c1;
	return 0;
} /* End of 'main' function */

/* END OF 'Source.cpp' FILE */