/**************************************************************
* Copyright (C) 2018 Computer Graphics Support Group
*   of Phys-Math Lyceum No. 30
**************************************************************/
/*************************************************************
 * NAME		   : Source.cpp
 * PURPOSE     : Pomoyka
 * PROGRAMMER  : SS5, OM5, DT6
 * LAST UPDATE : 28.10.2018
 * No part of this file can be changed without agreement of Com
 *************************************************************/


#include <iostream>
using namespace std;
#include <cmath>
#include <cstdio>
#include <map>
#include <string>
#include <algorithm>
#include <vector>

#define PI 3.141592653589793L

struct city
{
	long num, d;
};

bool Eq(const city &C1, const city &C2)
{
	return C1.d > C2.d;
}

class node
{
public:
	city c;
	vector<node> nodes;
	//node1;
};

/* Main function/
 * ARGUMENTS: None.
 * RETURNS:
 *   (int) Program exit code (0 if success).
 */
int main23()
{
	vector<city> Citys;
	long n;

	cin >> n;

	for (int i = 0; i < n; i++)
	{	
		city ct = city();
		cin >> ct.d;
		ct.num = i + 1;
		Citys.push_back(ct);
	}

	sort(Citys.begin(), Citys.end(), Eq);

	for (int i = 0; i < n; i++)
	{
		if (Citys[i].d != 0)
		{
			long add = 0;
			for (int j = 0; j < Citys[i].d + add - !!i; j++)
				if (Citys[j + i + 1].d != Citys[i].d)
					cout << Citys[i].num << ' ' << Citys[j + i + 1].num << '\n';
				else
					add++;
		}
	}
	
	return 0;
} /* End of 'main' function */

/* END OF 'Source.cpp' FILE */

/**************************************************************
* Copyright (C) 2018 Computer Graphics Support Group
*   of Phys-Math Lyceum No. 30
**************************************************************/
/*************************************************************
* NAME        : Source.cpp
* PURPOSE     : Pomoyka
* PROGRAMMER  : SS5, OM5, DT6
* LAST UPDATE : 28.10.2018
* No part of this file can be changed without agreement of Com
*************************************************************/


#include <iostream>
#include <string>
using namespace std;



#define ll __int128 

/* Main function/
* ARGUMENTS: None.
* RETURNS:
*   (int) Program exit code (0 if success).
*/
int main1()
{
	unsigned long long n, m, h, w;

	cin >> n;
	cin >> m;
	cin >> h;
	cin >> w;

	unsigned long long c1 = 0, c2 = 0;

	unsigned long long n1 = n, m1 = m, h1 = h, w1 = w;

	bool is_1div2 = n1 & 1;
	while (n1 + (is_1div2 && (n1 != n)) > h1)
	{
		c1++;
		n1 /= 2;
	}
	n1 = m1;
	is_1div2 = n1 & 1;
	while (n1 + (is_1div2 && (n1 != m)) > w1)
	{
		c1++;
		n1 /= 2;
	}

	n1 = m;
	is_1div2 = n1 & 1;
	while (n1 + (is_1div2 && (n1 != m)) > h1)
	{
		c2++;
		n1 /= 2;
	}
	n1 = n;
	is_1div2 = n1 & 1;
	while (n1 + (is_1div2 && (n1 != n)) > w1)
	{
		c2++;
		n1 /= 2;
	}

	if (c2 < c1)
		cout << c2;
	else
		cout << c1;
	return 0;
} /* End of 'main' function */

int main2()
{
	long n;

	cin >> n;

	if (n == 1)
		cout << "NO";
	else if (n == 3)
	{
		cout << "YES\n" << 3 << '\n';
		cout << "-++";
	}
	else
	{
		cout << "YES\n" << 1 << '\n';
		int flag = 1;

		for (int i = 0; i < n; i++)
		{
			if (flag)
				cout << '+';
			else
				cout << '-';
			flag = 1 - flag;
		}
	}
	return 0;
} /* End of 'main' function */

  /* END OF 'Source.cpp' FILE */

  /**************************************************************
  * Copyright (C) 2018 Computer Graphics Support Group
  *   of Phys-Math Lyceum No. 30
  **************************************************************/
  /*************************************************************
  * NAME        : Source.cpp
  * PURPOSE     : Pomoyka
  * PROGRAMMER  : SS5, OM5, DT6
  * LAST UPDATE : 28.10.2018
  * No part of this file can be changed without agreement of Com
  *************************************************************/


#include <iostream>
using namespace std;
#include <cmath>
#include <cstdio>

#define PI 3.141592653589793L

/* Main function/
* ARGUMENTS: None.
* RETURNS:
*   (int) Program exit code (0 if success).
*/
int main()
{
	long long r, R, n;

	cin >> r >> R >> n;

	long double Summ1 = PI * r * n / 2.0, Summ2 = PI * r * (n - 1);

	if (n & 1)
		Summ1 += (n / 2) * (2 * PI * (R - r) + 2 * PI * R) / n;
	else
		Summ1 += (n / 2 - 1) * 2 * PI * (R - r) / n + (n / 2) * 2 * PI * R / n;

	Summ2 += 2 * PI * (R - r) * (1.0 - 1.0 / n);

	if (Summ1 > Summ2 && n > 1)
		printf("%.20lf", Summ2);
	else
		printf("%.20lf", Summ1);

	return 0;
} /* End of 'main' function */

  /* END OF 'Source.cpp' FILE */