import math

def fold_side_amount(letter, box):
	i = 0
	while letter > box:
		letter = letter / 2
		i += 1
	return i

# n, m -- letter; h, w -- box
def _find_fold_amount(n, m, h, w):
	return fold_side_amount(n, h) + fold_side_amount(m, w)

# correct
def find_fold_amount(n, m, h, w):
	return min(_find_fold_amount(n, m, h, w), _find_fold_amount(m, n, h, w))

inp = input().split()
n = int(inp[0])
m = int(inp[1])
h = int(inp[2])
w = int(inp[3])
print(find_fold_amount(n, m, h, w))