import java.io.*;
import java.util.HashSet;
import java.util.Locale;
import java.util.Set;
import java.util.StringTokenizer;

public class A {
    String fileName = "<name>";

    public long h, w;
    public long nO, mO;

    public int ans = Integer.MAX_VALUE;

    public static class Pair {
        public long a, b;

        public Pair(long a, long b) {
            this.a = a;
            this.b = b;
        }

        @Override
        public int hashCode() {
            return (int) (a + b * 1001);
        }

        @Override
        public boolean equals(Object obj) {
            Pair p = (Pair) obj;
            return a == p.a && b == p.b;
        }
    }

    public Set<Pair> set = new HashSet<>((int) 1e6, 1f);

    public void gen(long nP, long mP, int cnt) {
        long n = (nO + (1L << nP) - 1) / (1L << nP);
        long m = (mO + (1L << mP) - 1) / (1L << mP);
        if (set.contains(new Pair(nP, mP)))
            return;
        if (n <= h && m <= w || (n <= w && m <= h)) {
            ans = Math.min(ans, cnt);
            return;
        }
        set.add(new Pair(nP, mP));
        if (nP <= 63)
            gen(nP + 1, mP, cnt + 1);
        if (mP <= 63)
            gen(nP, mP + 1, cnt + 1);
    }

    public void solve() throws IOException {
        nO = nextLong();
        mO = nextLong();
        h = nextLong();
        w = nextLong();
        gen(0, 0, 0);
        out.println(ans);
    }

    public void run() {
        try {
            br = new BufferedReader(new InputStreamReader(System.in));
            out = new PrintWriter(System.out);

            solve();

            out.close();
        } catch (IOException e) {
            e.printStackTrace();
            System.exit(1);
        }
    }

    BufferedReader br;
    StringTokenizer in;
    PrintWriter out;

    public String nextToken() throws IOException {
        while (in == null || !in.hasMoreTokens()) {
            in = new StringTokenizer(br.readLine());
        }
        return in.nextToken();
    }

    public int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }

    public double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }

    public long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }

    public static void main(String[] args) throws IOException {
        Locale.setDefault(Locale.US);
        new A().run();
    }

}
