﻿using System;

namespace C
{
    class Program
    {
        static void Main(string[] args)
        {
            int n, t, result = 0;
            {
                int[] input = ReadArrInt();
                n = input[0];
                t = input[1];
            }
            Problem[] problems = new Problem[n];
            for (int i = 0; i < n; i++)
            {
                int[] input = ReadArrInt();
                problems[i] = new Problem
                {
                    time = input[0],
                    point = input[1],
                    k = (double)input[1] / (double)input[0]
                };
            }
            Sort(problems);
            foreach (Problem problem in problems)
            {
                if (t >= problem.time)
                {
                    result += problem.point;
                    t -= problem.time;
                }
                if (t == 0)
                {
                    break;
                }
            }
            Console.WriteLine(result);
        }
        public class Problem : IComparable<Problem>
        {
            public int time { get; set; }
            public int point { get; set; }
            public double k { get; set; }

            public int CompareTo(Problem other)
            {
                return this.k.CompareTo(other.k);
            }
        }

        static int[] ReadArrInt()
        {
            string[] input = Console.ReadLine().Split(' ');
            int[] arr = new int[input.Length];
            for (int i = 0; i < arr.Length; i++)
            {
                if (int.TryParse(input[i], out int value))
                {
                    arr[i] = value;
                }
            }
            return arr;
        }
        public static void Sort(Problem[] arr)
        {
            for (int i = 0; i < arr.Length; i++)
            {
                for (int j = 0; j < arr.Length - i - 1; j++)
                {
                    if (arr[j].CompareTo(arr[j + 1]) > 0)
                    {
                        Problem tmp = arr[j];
                        arr[j] = arr[j + 1];
                        arr[j + 1] = tmp;
                    }
                }
            }
        }
        //static void QuickSort<T>(T[] arr, int left, int right) where T : IComparable<T>
        //{
        //    T mainObj = arr[(left + right) / 2];
        //    int i = left;
        //    int j = right;
        //    while (mainObj.CompareTo(arr[i]) > 0)
        //    {
        //        i++;
        //    }
        //    while (mainObj.CompareTo(arr[j]) < 0)
        //    {
        //        j--;
        //    }
        //    if (i <= j)
        //    {
        //        T tmp = arr[i];
        //        arr[i] = arr[j];
        //        arr[j] = tmp;
        //    }
        //    if (right - 1 > i)
        //    {
        //        QuickSort(arr, i, right);
        //    }
        //    if (j - 1 > left)
        //    {
        //        QuickSort(arr, left, j);
        //    }
        //}
    }
}
