import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.Locale;
import java.util.StringTokenizer;

public class nA {

	public void run() throws IOException {
		br = new BufferedReader(new InputStreamReader(System.in));
		pw = new PrintWriter(System.out);
		long n = nextLong();
		long m = nextLong();
		long h = nextLong();
		long w = nextLong();
		long maxL = Math.max(h, w);
		long minL = h + w - maxL;
		long maxC = Math.max(n, m);
		long minC = n + m - maxC;
		long count = 0;
		while (maxL < maxC) {
			maxC /= 2;
			count++;
			if (maxC < minC) {
				long tmp = maxC;
				maxC = minC;
				minC = tmp;
			}
		}
		while (minL < minC) {
			minC /= 2;
			count++;
		}
		pw.print(count);
		pw.close();
	}

	BufferedReader br;
	StringTokenizer in;
	PrintWriter pw;

	public String nextToken() throws IOException {
		while (in == null || !in.hasMoreTokens()) {
			in = new StringTokenizer(br.readLine());
		}
		return in.nextToken();
	}

	public int nextInt() throws IOException {
		return Integer.parseInt(nextToken());
	}

	public double nextDouble() throws IOException {
		return Double.parseDouble(nextToken());
	}

	public long nextLong() throws IOException {
		return Long.parseLong(nextToken());
	}

	public static void main(String[] args) throws IOException {
		Locale.setDefault(Locale.US);
		new nA().run();
	}

}