#include <bits/stdc++.h>

using namespace std;
using nagai = long long;
using db = long double;

struct vt
{
	db x, y;
	vt(db x, db y)
		: x(x), y(y)
	{}
	vt operator -(vt b)
	{
		return vt(x - b.x, y - b.y);
	}
	vt operator +(vt b)
	{
		return vt(x + b.x, y + b.y);
	}
	vt operator *(db b)
	{
		return vt(x * b, y * b);
	}
	db operator %(vt b)
	{
		return x * b.y - y * b.x;
	}
	db operator *(vt b)
	{
		return x * b.x + y * b.y;
	}
	bool operator <(vt b)
	{
		if (x != b.x)
			return x < b.x;
		return y < b.y;
	}
	bool operator !=(vt b)
	{
		return x != b.x || y != b.y;
	}

};

using pol = vector<vt>;

db area(pol p)
{
	db ans = 0;
	for (int i = 0; i < p.size(); ++i)
	{
		int j = i + 1 == p.size() ? 0 : i + 1;
		ans += p[i] % p[j];
	}
	return abs(ans) / 2;
}

pol cht1(pol a)
{
	pol mem;
	for (auto& v : a)
	{
		while (mem.size() > 2 && (v - mem[mem.size() - 2]) % (mem.back() - mem[mem.size() - 2]) >= 0)
			mem.pop_back();
		mem.push_back(v);
	}
	return mem;
}

pol cht(pol a)
{
	sort(a.begin(), a.end());
	pol ans = cht1(a);
	ans.pop_back();
	reverse(a.begin(), a.end());
	pol ans1 = cht1(a);
	for (auto& v : ans1)
		ans.push_back(v);
	ans.pop_back();
	return ans;
}

vt inters(vt a, vt b, vt c, vt d)
{
	db ma = (c - b) % (d - b);
	db mb = (d - a) % (c - a);
	return (a * ma + b * mb) * (1 / (ma + mb));
}

vt kekos = {-239, 1488};

db eps = 1e-9;

vt inters_segs(vt a, vt b, vt c, vt d)
{
	if ((b - a) % (d - c) == 0)
		return kekos;
	vt lol = inters(a, b, c, d);
	if (min(a.x, b.x) - eps <= lol.x && lol.x <= max(a.x, b.x) + eps && min(a.y, b.y) - eps <= lol.y && lol.y <= max(a.y, b.y) + eps)
		return lol;
	return kekos;
}

bool inside(vt a, pol b)
{
	db area = 0;
	for (int i = 0; i < b.size(); ++i)
	{
		int j = i + 1 == b.size() ? 0 : i + 1;
		area += (b[i] - a) % (b[j] - a);
	}
	return area > 0;
}

pol inter(pol ft, pol sd)
{
	pol memos;
	for (int i = 0; i < ft.size(); ++i)
		for (int j = 0; j < sd.size(); ++j)
		{
			vt a = ft[i];
			vt b = ft[i + 1 == ft.size() ? 0 : i + 1];
			vt c = sd[j];
			vt d = sd[j + 1 == sd.size() ? 0 : j + 1];
			vt lol = inters_segs(a, b, c, d);
			if (lol != kekos)
				memos.push_back(lol);
		}
	for (auto& x : ft)
		if (inside(x, sd))
			memos.push_back(x);
	for (auto& x : sd)
		if (inside(x, ft))
			memos.push_back(x);
	return cht(memos);
}

db score(pol a, pol b)
{
	return area(inter(a, b));
}

pair<db, db> mnmxy(pol p, db x)
{
	db mn = 1e18, mx = -1e18;
	for (int i = 0; i < p.size(); ++i)
	{
		int j = i + 1 == p.size() ? 0 : i + 1;
		if (abs(p[i].x - x) < eps)
			mn = min(mn, p[i].y), mx = max(mx, p[i].y);
		auto mem = inters_segs(p[i], p[j], vt(x, 0), vt(x, 1));
		if (mem != kekos)
			mn = min(mn, mem.y), mx = max(mx, mem.y);
	}
	return ans;
}


db solvefixx(pol a, pol b)
{
	db mny = -1e18;
	db mxy = 1e18;
	for (auto& x : b)
	{
		auto lol = mnmxy(a, x.x);
	}
}

int main()
{
	int n;
	cin >> n;
	pol a(n);
	for (auto& x : a)
		cin >> x.x >> x.y;
	int m;
	cin >> m;
	pol b(m);
	for (auto& x : b)
		cin >> x.x >> x.y;
	db Lx = 0, Rx = 0;
}
