#include <bits/stdc++.h>

using namespace std;

typedef long long ll;

int dp[2005][2005];

int main(){
    int n, T;
    cin >> n >> T;
    ++T;
    vector<pair<int, int>> arr(n);
    for (int i = 0; i < n; ++i)
        cin >> arr[i].first >> arr[i].second;
    sort(arr.begin(), arr.end());
    vector<int> prefix1(n);
    prefix1[0] = arr[0].first;
    for (int i = 1; i < n; ++i)
        prefix1[i] = arr[i].first + prefix1[i - 1];
    vector<int> prefix2(n);
    prefix2[0] = arr[0].second;
    for (int i = 1; i < n; ++i)
        prefix2[i] = arr[i].second + prefix2[i - 1];
    for (int t = 0; t < T; ++t)
        dp[0][t] = arr[0].first <= t ? arr[0].second : 0;
    for (int i = 1; i < n; ++i){
        for (int t = 0; t < T; ++t){
            if (prefix1[i] <= t){
                dp[i][t] = prefix2[i];
            }
            else if (t >= arr[i].first)
                dp[i][t] = min(dp[i - 1][t], dp[i - 1][t - arr[i].first] + arr[i].second);
            else
                dp[i][t] = dp[i - 1][t];
        }
    }
    cout << dp[n - 1][T - 1] << endl;
    return 0;
}
