/**************************************************************
* Copyright (C) 2018 Computer Graphics Support Group
*   of Phys-Math Lyceum No. 30
**************************************************************/
/*************************************************************
 * NAME		   : Source.cpp
 * PURPOSE     : Pomoyka
 * PROGRAMMER  : SS5, OM5, DT6
 * LAST UPDATE : 28.10.2018
 * No part of this file can be changed without agreement of Com
 *************************************************************/


#include <iostream>
using namespace std;



#define ll __int128 

/* Main function/
 * ARGUMENTS: None.
 * RETURNS:
 *   (int) Program exit code (0 if success).
 */
int main()
{
	long double n, m, h, w;
	
	cin >> n;
	cin >> m;
	cin >> h;
	cin >> w;
	
	long long c1 = 0, c2 = 0;

	long double n1 = n, m1 = m, h1 = h, w1 = w;

	while (n1 > h1)
	{
		c1++;
		n1 /= 2.0;
	}
	while (m1 > w1)
	{
		c1++;
		m1 /= 2.0;
	}

	while (n > w)
	{
		c2++;
		n /= 2.0;
	}
	while (m > h)
	{
		c2++;
		m /= 2.0;
	}

	if (c2 < c1)
		cout << c2;
	else
		cout << c1;
	return 0;
} /* End of 'main' function */

/* END OF 'Source.cpp' FILE */