#include <cstdio>
#include <iostream>

long long min(long long a, long long b)
{
	if (a <= b)
		return a;
	return b;
}

long long max(long long a, long long b)
{
	if (a >= b)
		return a;
	return b;
}

void Swap(long long *a, long long *b)
{
	long long tmp = *a;
	*a = *b;
	*b = tmp;
}
void main(void)
{
	long long n, m, h, w, mina, minb, maxa, maxb;
	int count = 0;

	scanf("%lld %lld %lld %lld", &n, &m, &h, &w);
	mina = min(n, m);
	minb = min(h, w);
	maxa = max(n, m);
	maxb = max(h, w);
	while (mina > minb || maxa > maxb)
	{
		if (maxa > maxb)
		{
			count++;
			maxa = maxa % 2 + maxa / 2;
			if (maxa < mina)
				Swap(&maxa, &mina);
			if (mina <= minb && maxa <= maxb)
				break;
		}
		if (mina > minb)
		{
			count++;
			mina = mina % 2 + mina / 2;
			if (mina <= minb && maxa <= maxb)
				break;
		}
	}

	std::cout << count;
}