#include <bits/stdc++.h>
using namespace std;

using ll = long long;
using ld = long double;
using pll = pair<ll, ll>;
using pii = pair<int, int>;
#define all(x) (x).begin(), (x).end()
#define rep(i, n) for (int i = 0; i < (n); ++i)
#define FAST_IO ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0)

const int MAXN = 2e6 + 5;
int n, m, k;
vector<int> g[MAXN];
vector<int> gr[MAXN];
bool used[MAXN];
vector<int> top;
int comp[MAXN];

vector<int> a[MAXN];

void add(int a, int b) {
    g[a].push_back(b);
    gr[b].push_back(a);

//    cout << a << ' ' << b << endl;
}

void dfs(int v) {
    used[v] = true;
    for (auto to : g[v]) {
        if (!used[to]) dfs(to);
    }

    top.push_back(v);
}

void find_comp(int v, int c) {
    used[v] = true;
    comp[v] = c;
    for (auto to : gr[v]) {
        if (used[to]) continue;
        find_comp(to, c);
    }
}

int last;

int main() {
    FAST_IO;
    cin >> m >> n >> k;
    last = 2 * n;
    rep(i, k) {
        int p, q;
        cin >> p >> q;
        p--;
        if (q > 0) {
            q--;
            a[p].push_back(q);
        } else {
            q = -q;
            q--;
            a[p].push_back(n + q);
        }
    }

    for (int v = 0; v < m; ++v) {
        int sz = a[v].size();
        if (sz == 0) continue;
        for (int i = 0; i < sz; ++i) {
            add(last + i, a[v][i]);
            if (i != 0) {
                add(last + i, last + i - 1);
            }
        }
        for (int i = sz - 1; i >= 0; --i) {
            add(last + sz + i, a[v][i]);
            if (i != sz - 1) {
                add(last + sz + i, last + sz + i + 1);
            }
        }

        for (int i = 0; i < sz; ++i) {
            int from = a[v][i] < n ? a[v][i] + n : a[v][i] - n;
            if (i != 0) add(from, last + i - 1);
            if (i != sz - 1) add(from, last + sz + i + 1);
        }

        last += sz * 2;
    }

    for (int i = 0; i < last; ++i) {
        if (!used[i]) dfs(i);
    }

    reverse(all(top));
    fill(used, used + last, false);

    for (int i = 0; i < last; ++i) {
        int v = top[i];
        if (used[v]) continue;
        find_comp(v, i);
    }

    vector<int> ans;
    for (int i = 0; i < n; ++i) {
        if (comp[i] == comp[i + n]) {
            cout << -1 << endl;
            return 0;
        }
        if (comp[i] > comp[i + n]) {
            ans.push_back(i);
        }
    }

    cout << ans.size() << endl;
    for (auto it : ans) {
        cout << it + 1 << ' ';
    }
    cout << endl;
}
