#include <iostream>
#include <string>

using UINT64 = unsigned long long;

UINT64 maxpow2(UINT64 A)
{
  UINT64 pow = 0;
  while (A > 0)
    A >>= 1, pow++;
  return pow;
}

int main(void)
{
  UINT64 n, m, h, w;
  std::cin >> n >> m >> h >> w;

  UINT64
    s1 = maxpow2(n / w) + maxpow2(m / h),
    s2 = maxpow2(n / h) + maxpow2(n / h);

  if (s1 < s2)
    std::cout << s1;
  else
    std::cout << s2;
  return 0;
}