#include <iostream>
#include <vector>
#include <algorithm>
#include <cmath>

#define vi vector<int>
#define vvi vector<vi>
#define pb push_back
using namespace std;

int f(vi &a, int m) {
    if (m == 0) {
        if (a[9] > 0) return 9;
        if (a[6] > 0) return 6;
        if (a[3] > 0) return 3;
        if (a[0] > 0) return 0;
        return -1;
    }
    if (m == 1) {
        if (a[7] > 0) return 7;
        if (a[4] > 0) return 4;
        if (a[1] > 0) return 1;
        return -1;
    }
    if (m == 2) {
        if (a[8] > 0) return 8;
        if (a[5] > 0) return 5;
        if (a[2] > 0) return 2;
        return -1;
    }
    return -1;
}

int main() {
    vi a(10);
    int sum = 0;
    for (int i = 0; i < 10; ++i) {
        cin >> a[i];
        sum += a[i];
    }
    if (sum < 3) {
        for (int j=9; j>=0; --j){
            for (int k=0; k<a[j]; ++k) cout<<j;
        }
        return 0;
    }
    vvi ans(27);
    int idx = 0;
    for (int i0 = 0; i0 < 3; ++i0) {
        for (int i1 = 0; i1 < 3; ++i1) {
            for (int i2 = 0; i2 < 3; ++i2) {
                if (((i0 + i1 + i2) % 3) != 0) continue;
                ans[idx].clear();
                vi a0 = a;
                int z = f(a0, i0);
                if (z == -1) continue;
                ans[idx].pb(z);
                a0[z]--;
                z = f(a0, i1);
                if (z == -1) continue;
                ans[idx].pb(z);
                a0[z]--;
                z = f(a0, i2);
                if (z == -1) continue;
                ans[idx].pb(z);
                a0[z]--;
                for (int i = 3; i < sum; ++i) {
                    int m = (30 - ans[idx][i - 1] - ans[idx][i - 2]) % 3;
                    z = f(a0, m);
                    if (z == -1) break;
                    ans[idx].pb(z);
                    a0[z]--;
                }
                idx++;
            }
        }
    }
    int maxL = 0;
    for (int i = 0; i < 27; ++i) maxL = max(maxL, (int) ans[i].size());
    for (int i = 0; i < 27; ++i) {
        if (ans[i].size() < maxL) ans[i].clear();
    }
    sort(ans.begin(), ans.end());
    for (int x: ans[26]) cout << x;
    cout << endl;
    return 0;
}